Bug 1393814 - dnf reports a lot of conflicting packages where there are no conflicts
Summary: dnf reports a lot of conflicting packages where there are no conflicts
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 25
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-10 11:48 UTC by Ali Akcaagac
Modified: 2017-06-09 19:06 UTC (History)
5 users (show)

Fixed In Version: dnf-2.5.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-09 19:06:02 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugdata for dnf (7.02 MB, application/x-bzip)
2016-11-10 12:22 UTC, Ali Akcaagac
no flags Details
debugdata for yum (81.48 KB, text/plain)
2016-11-10 12:23 UTC, Ali Akcaagac
no flags Details
new debugdata (6.11 MB, application/x-bzip)
2017-03-20 09:18 UTC, Ali Akcaagac
no flags Details

Description Ali Akcaagac 2016-11-10 11:48:01 UTC
Todays dnf update --refresh --nogpgcheck

Dependencies resolved.
================================================================================
 Package        Arch   Version             Repository                      Size
================================================================================
Installing:
 libmfx         x86_64 1.16-1.20160317git7adf2e4.fc24
                                           updates                         33 k
Upgrading:
 dracut         x86_64 044-21.fc24         updates-testing                327 k
 ffmpeg         x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing 1.4 M
 ffmpeg-libs    x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing 6.0 M
 libavdevice    x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing  86 k
 mencoder       x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing 868 k
 mplayer        x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing 1.2 M
 mplayer-common x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing 1.2 M
 perl           x86_64 4:5.22.2-363.fc24   updates-testing                5.9 M
 perl-Errno     x86_64 1.23-363.fc24       updates-testing                 62 k
 perl-IO        x86_64 1.35-363.fc24       updates-testing                127 k
 perl-libs      x86_64 4:5.22.2-363.fc24   updates-testing                1.4 M
 perl-macros    x86_64 4:5.22.2-363.fc24   updates-testing                 58 k
 x264-libs      x86_64 0.148-13.20160924git86b7198.fc24
                                           rpmfusion-free-updates-testing 574 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 kpartx         x86_64 0.4.9-81.fc24       fedora                          63 k
 pigz           x86_64 2.3.3-4.fc24        fedora                          74 k

Transaction Summary
================================================================================
Install   1 Package
Upgrade  13 Packages
Skip      2 Packages

Total download size: 19 M
Is this ok [y/N]: 

Skipping packages with conflicts ?

-bash-4.3$ rpm -qa | grep "kpartx"
-bash-4.3$ rpm -qa | grep "pigz"
-bash-4.3$ 

Now the same with yum update

Dependencies Resolved

================================================================================
 Package        Arch   Version             Repository                      Size
================================================================================
Updating:
 dracut         x86_64 044-21.fc24         updates                        327 k
 ffmpeg         x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing 1.4 M
 ffmpeg-libs    x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing 6.0 M
 libavdevice    x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing  86 k
 libinput       x86_64 1.5.0-2.fc24        updates-testing                116 k
 libpng         x86_64 2:1.6.26-1.fc24     updates-testing                119 k
 mencoder       x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing 868 k
 mplayer        x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing 1.2 M
 mplayer-common x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing 1.2 M
 perl           x86_64 4:5.22.2-363.fc24   updates                        5.9 M
 perl-Errno     x86_64 1.23-363.fc24       updates                         62 k
 perl-IO        x86_64 1.35-363.fc24       updates                        127 k
 perl-libs      x86_64 4:5.22.2-363.fc24   updates                        1.4 M
 perl-macros    x86_64 4:5.22.2-363.fc24   updates                         58 k
 sudo           x86_64 1.8.18p1-1.fc24     updates-testing                724 k
 vte-profile    x86_64 0.44.3-1.fc24       updates-testing                 11 k
 vte291         x86_64 0.44.3-1.fc24       updates-testing                234 k
 x264-libs      x86_64 0.148-13.20160924git86b7198.fc24
                                           rpmfusion-free-updates-testing 574 k
Installing for dependencies:
 libmfx         x86_64 1.16-1.20160317git7adf2e4.fc24
                                           updates                         33 k

Transaction Summary
================================================================================
Install              ( 1 Dependent package)
Upgrade  18 Packages

Total download size: 20 M
Is this ok [y/d/N]: 

Not even yum resolves the packages properly, it also finds more updates.

But the main question here is: why does dnf reporting dependency issues and conflicts while there are no real conflicts ? I am getting this a lot in the recent past.

Another example:

dnf install rpm-build --refresh --nogpgcheck

Dependencies resolved.
================================================================================
 Package               Arch      Version               Repository          Size
================================================================================
Installing:
 dwz                   x86_64    0.12-2.fc24           fedora             107 k
 elfutils              x86_64    0.167-1.fc24          updates            298 k
 fpc-srpm-macros       noarch    1.0-1.fc24            fedora             7.8 k
 gc                    x86_64    7.4.2-6.fc24          fedora             104 k
 gdb                   x86_64    7.11.1-86.fc24        updates            3.3 M
 ghc-srpm-macros       noarch    1.4.2-4.fc24          fedora             8.7 k
 gnat-srpm-macros      noarch    4-1.fc24              fedora             9.0 k
 go-srpm-macros        noarch    2-6.fc24              fedora             8.5 k
 guile                 x86_64    5:2.0.13-1.fc24       updates            3.5 M
 libatomic_ops         x86_64    7.4.2-9.fc24          fedora              32 k
 libbabeltrace         x86_64    1.2.4-4.fc24          fedora             151 k
 libipt                x86_64    1.4.4-2.fc24          fedora              38 k
 ocaml-srpm-macros     noarch    2-4.fc24              fedora             8.0 k
 perl-Fedora-VSP       noarch    0.001-2.fc24          fedora              23 k
 perl-generators       noarch    1.10-1.fc24           updates             16 k
 perl-srpm-macros      noarch    1-18.fc24             fedora             9.8 k
 python-srpm-macros    noarch    3-7.fc24              fedora             8.1 k
 redhat-rpm-config     noarch    41-2.fc24             updates             60 k
 rpm-build             x86_64    4.13.0-1.fc24         updates-testing    138 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 cpp                   x86_64    6.2.1-2.fc24          updates            9.0 M
 gcc                   x86_64    6.2.1-2.fc24          updates             20 M
 gcc-gdb-plugin        x86_64    6.2.1-2.fc24          updates             82 k
 glibc-devel           x86_64    2.23.1-11.fc24        updates            935 k
 glibc-headers         x86_64    2.23.1-11.fc24        updates            500 k
 isl                   x86_64    0.14-5.fc24           fedora             482 k
 kernel-headers        x86_64    4.8.6-201.fc24        updates            1.1 M
 libmpc                x86_64    1.0.2-5.fc24          fedora              54 k

Transaction Summary
================================================================================
Install  19 Packages
Skip      8 Packages

Total download size: 7.7 M
Installed size: 24 M
Is this ok [y/N]: 

And here the same with yum install rpm-build

Dependencies Resolved

================================================================================
 Package               Arch      Version               Repository          Size
================================================================================
Installing:
 rpm-build             x86_64    4.13.0-1.fc24         updates-testing    138 k
Installing for dependencies:
 cpp                   x86_64    6.2.1-2.fc24          updates            9.0 M
 dwz                   x86_64    0.12-2.fc24           fedora             107 k
 elfutils              x86_64    0.167-1.fc24          updates            298 k
 fpc-srpm-macros       noarch    1.0-1.fc24            fedora             7.8 k
 gc                    x86_64    7.4.2-6.fc24          fedora             104 k
 gcc                   x86_64    6.2.1-2.fc24          updates             20 M
 gcc-gdb-plugin        x86_64    6.2.1-2.fc24          updates             82 k
 gdb                   x86_64    7.11.1-86.fc24        updates            3.3 M
 ghc-srpm-macros       noarch    1.4.2-4.fc24          fedora             8.7 k
 glibc-devel           x86_64    2.23.1-11.fc24        updates            935 k
 glibc-headers         x86_64    2.23.1-11.fc24        updates            500 k
 gnat-srpm-macros      noarch    4-1.fc24              fedora             9.0 k
 go-srpm-macros        noarch    2-6.fc24              fedora             8.5 k
 guile                 x86_64    5:2.0.13-1.fc24       updates            3.5 M
 isl                   x86_64    0.14-5.fc24           fedora             482 k
 kernel-headers        x86_64    4.8.6-201.fc24        updates            1.1 M
 libatomic_ops         x86_64    7.4.2-9.fc24          fedora              32 k
 libbabeltrace         x86_64    1.2.4-4.fc24          fedora             151 k
 libipt                x86_64    1.4.4-2.fc24          fedora              38 k
 libmpc                x86_64    1.0.2-5.fc24          fedora              54 k
 ocaml-srpm-macros     noarch    2-4.fc24              fedora             8.0 k
 perl-Fedora-VSP       noarch    0.001-2.fc24          fedora              23 k
 perl-generators       noarch    1.10-1.fc24           updates             16 k
 perl-srpm-macros      noarch    1-18.fc24             fedora             9.8 k
 python-srpm-macros    noarch    3-7.fc24              fedora             8.1 k
 redhat-rpm-config     noarch    41-2.fc24             updates             60 k

Transaction Summary
================================================================================
Install  1 Package (+26 Dependent packages)

Total download size: 40 M
Installed size: 105 M
Is this ok [y/d/N]: 

Even worse when doing dnf builddep to install build dependency of packages to be build. A lot of skips of imaginary conflicting packages. Usually ends up leaving out a bunch of *-devel packages this then ends in packages missing other packages during ./configure time and thus disable e.g. plugins or leave the missing package out of building the final package.

Comment 1 Igor Gnatenko 2016-11-10 12:05:13 UTC
(In reply to Ali Akcaagac from comment #0)
> Todays dnf update --refresh --nogpgcheck
Let's start.
> 
> Dependencies resolved.
> =============================================================================
> ===
>  Package        Arch   Version             Repository                     
> Size
> =============================================================================
> ===
> Installing:
>  libmfx         x86_64 1.16-1.20160317git7adf2e4.fc24
>                                            updates                        
> 33 k
> Upgrading:
>  dracut         x86_64 044-21.fc24         updates-testing               
> 327 k
>  ffmpeg         x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing
> 1.4 M
>  ffmpeg-libs    x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing
> 6.0 M
>  libavdevice    x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing 
> 86 k
>  mencoder       x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing
> 868 k
>  mplayer        x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing
> 1.2 M
>  mplayer-common x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing
> 1.2 M
>  perl           x86_64 4:5.22.2-363.fc24   updates-testing               
> 5.9 M
>  perl-Errno     x86_64 1.23-363.fc24       updates-testing                
> 62 k
>  perl-IO        x86_64 1.35-363.fc24       updates-testing               
> 127 k
>  perl-libs      x86_64 4:5.22.2-363.fc24   updates-testing               
> 1.4 M
>  perl-macros    x86_64 4:5.22.2-363.fc24   updates-testing                
> 58 k
>  x264-libs      x86_64 0.148-13.20160924git86b7198.fc24
>                                            rpmfusion-free-updates-testing
> 574 k
> Skipping packages with conflicts:
> (add '--best --allowerasing' to command line to force their upgrade):
>  kpartx         x86_64 0.4.9-81.fc24       fedora                         
> 63 k
>  pigz           x86_64 2.3.3-4.fc24        fedora                         
> 74 k
> 
> Transaction Summary
> =============================================================================
> ===
> Install   1 Package
> Upgrade  13 Packages
> Skip      2 Packages
> 
> Total download size: 19 M
> Is this ok [y/N]: 
> 
> Skipping packages with conflicts ?
> 
> -bash-4.3$ rpm -qa | grep "kpartx"
> -bash-4.3$ rpm -qa | grep "pigz"
> -bash-4.3$ 
this seems weird. re-run with --debugsolver and attach debugdata.
> 
> Now the same with yum update
> 
> Dependencies Resolved
> 
> =============================================================================
> ===
>  Package        Arch   Version             Repository                     
> Size
> =============================================================================
> ===
> Updating:
>  dracut         x86_64 044-21.fc24         updates                       
> 327 k
>  ffmpeg         x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing
> 1.4 M
>  ffmpeg-libs    x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing
> 6.0 M
>  libavdevice    x86_64 3.1.5-1.fc24        rpmfusion-free-updates-testing 
> 86 k
>  libinput       x86_64 1.5.0-2.fc24        updates-testing               
> 116 k
>  libpng         x86_64 2:1.6.26-1.fc24     updates-testing               
> 119 k
>  mencoder       x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing
> 868 k
>  mplayer        x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing
> 1.2 M
>  mplayer-common x86_64 1.3.0-4.fc24        rpmfusion-free-updates-testing
> 1.2 M
>  perl           x86_64 4:5.22.2-363.fc24   updates                       
> 5.9 M
>  perl-Errno     x86_64 1.23-363.fc24       updates                        
> 62 k
>  perl-IO        x86_64 1.35-363.fc24       updates                       
> 127 k
>  perl-libs      x86_64 4:5.22.2-363.fc24   updates                       
> 1.4 M
>  perl-macros    x86_64 4:5.22.2-363.fc24   updates                        
> 58 k
>  sudo           x86_64 1.8.18p1-1.fc24     updates-testing               
> 724 k
>  vte-profile    x86_64 0.44.3-1.fc24       updates-testing                
> 11 k
>  vte291         x86_64 0.44.3-1.fc24       updates-testing               
> 234 k
>  x264-libs      x86_64 0.148-13.20160924git86b7198.fc24
>                                            rpmfusion-free-updates-testing
> 574 k
> Installing for dependencies:
>  libmfx         x86_64 1.16-1.20160317git7adf2e4.fc24
>                                            updates                        
> 33 k
> 
> Transaction Summary
> =============================================================================
> ===
> Install              ( 1 Dependent package)
> Upgrade  18 Packages
> 
> Total download size: 20 M
> Is this ok [y/d/N]: 
> 
> Not even yum resolves the packages properly, it also finds more updates.
> 
> But the main question here is: why does dnf reporting dependency issues and
> conflicts while there are no real conflicts ? I am getting this a lot in the
> recent past.
debugdata please.
> 
> Another example:
> 
> dnf install rpm-build --refresh --nogpgcheck
> 
> Dependencies resolved.
> =============================================================================
> ===
>  Package               Arch      Version               Repository         
> Size
> =============================================================================
> ===
> Installing:
>  dwz                   x86_64    0.12-2.fc24           fedora            
> 107 k
>  elfutils              x86_64    0.167-1.fc24          updates           
> 298 k
>  fpc-srpm-macros       noarch    1.0-1.fc24            fedora            
> 7.8 k
>  gc                    x86_64    7.4.2-6.fc24          fedora            
> 104 k
>  gdb                   x86_64    7.11.1-86.fc24        updates           
> 3.3 M
>  ghc-srpm-macros       noarch    1.4.2-4.fc24          fedora            
> 8.7 k
>  gnat-srpm-macros      noarch    4-1.fc24              fedora            
> 9.0 k
>  go-srpm-macros        noarch    2-6.fc24              fedora            
> 8.5 k
>  guile                 x86_64    5:2.0.13-1.fc24       updates           
> 3.5 M
>  libatomic_ops         x86_64    7.4.2-9.fc24          fedora             
> 32 k
>  libbabeltrace         x86_64    1.2.4-4.fc24          fedora            
> 151 k
>  libipt                x86_64    1.4.4-2.fc24          fedora             
> 38 k
>  ocaml-srpm-macros     noarch    2-4.fc24              fedora            
> 8.0 k
>  perl-Fedora-VSP       noarch    0.001-2.fc24          fedora             
> 23 k
>  perl-generators       noarch    1.10-1.fc24           updates            
> 16 k
>  perl-srpm-macros      noarch    1-18.fc24             fedora            
> 9.8 k
>  python-srpm-macros    noarch    3-7.fc24              fedora            
> 8.1 k
>  redhat-rpm-config     noarch    41-2.fc24             updates            
> 60 k
>  rpm-build             x86_64    4.13.0-1.fc24         updates-testing   
> 138 k
> Skipping packages with conflicts:
> (add '--best --allowerasing' to command line to force their upgrade):
>  cpp                   x86_64    6.2.1-2.fc24          updates           
> 9.0 M
>  gcc                   x86_64    6.2.1-2.fc24          updates            
> 20 M
>  gcc-gdb-plugin        x86_64    6.2.1-2.fc24          updates            
> 82 k
>  glibc-devel           x86_64    2.23.1-11.fc24        updates           
> 935 k
>  glibc-headers         x86_64    2.23.1-11.fc24        updates           
> 500 k
>  isl                   x86_64    0.14-5.fc24           fedora            
> 482 k
>  kernel-headers        x86_64    4.8.6-201.fc24        updates           
> 1.1 M
>  libmpc                x86_64    1.0.2-5.fc24          fedora             
> 54 k
> 
> Transaction Summary
> =============================================================================
> ===
> Install  19 Packages
> Skip      8 Packages
> 
> Total download size: 7.7 M
> Installed size: 24 M
> Is this ok [y/N]: 
> 
> And here the same with yum install rpm-build
> 
> Dependencies Resolved
> 
> =============================================================================
> ===
>  Package               Arch      Version               Repository         
> Size
> =============================================================================
> ===
> Installing:
>  rpm-build             x86_64    4.13.0-1.fc24         updates-testing   
> 138 k
> Installing for dependencies:
>  cpp                   x86_64    6.2.1-2.fc24          updates           
> 9.0 M
>  dwz                   x86_64    0.12-2.fc24           fedora            
> 107 k
>  elfutils              x86_64    0.167-1.fc24          updates           
> 298 k
>  fpc-srpm-macros       noarch    1.0-1.fc24            fedora            
> 7.8 k
>  gc                    x86_64    7.4.2-6.fc24          fedora            
> 104 k
>  gcc                   x86_64    6.2.1-2.fc24          updates            
> 20 M
>  gcc-gdb-plugin        x86_64    6.2.1-2.fc24          updates            
> 82 k
>  gdb                   x86_64    7.11.1-86.fc24        updates           
> 3.3 M
>  ghc-srpm-macros       noarch    1.4.2-4.fc24          fedora            
> 8.7 k
>  glibc-devel           x86_64    2.23.1-11.fc24        updates           
> 935 k
>  glibc-headers         x86_64    2.23.1-11.fc24        updates           
> 500 k
>  gnat-srpm-macros      noarch    4-1.fc24              fedora            
> 9.0 k
>  go-srpm-macros        noarch    2-6.fc24              fedora            
> 8.5 k
>  guile                 x86_64    5:2.0.13-1.fc24       updates           
> 3.5 M
>  isl                   x86_64    0.14-5.fc24           fedora            
> 482 k
>  kernel-headers        x86_64    4.8.6-201.fc24        updates           
> 1.1 M
>  libatomic_ops         x86_64    7.4.2-9.fc24          fedora             
> 32 k
>  libbabeltrace         x86_64    1.2.4-4.fc24          fedora            
> 151 k
>  libipt                x86_64    1.4.4-2.fc24          fedora             
> 38 k
>  libmpc                x86_64    1.0.2-5.fc24          fedora             
> 54 k
>  ocaml-srpm-macros     noarch    2-4.fc24              fedora            
> 8.0 k
>  perl-Fedora-VSP       noarch    0.001-2.fc24          fedora             
> 23 k
>  perl-generators       noarch    1.10-1.fc24           updates            
> 16 k
>  perl-srpm-macros      noarch    1-18.fc24             fedora            
> 9.8 k
>  python-srpm-macros    noarch    3-7.fc24              fedora            
> 8.1 k
>  redhat-rpm-config     noarch    41-2.fc24             updates            
> 60 k
> 
> Transaction Summary
> =============================================================================
> ===
> Install  1 Package (+26 Dependent packages)
> 
> Total download size: 40 M
> Installed size: 105 M
> Is this ok [y/d/N]: 
> 
> Even worse when doing dnf builddep to install build dependency of packages
> to be build. A lot of skips of imaginary conflicting packages. Usually ends
> up leaving out a bunch of *-devel packages this then ends in packages
> missing other packages during ./configure time and thus disable e.g. plugins
> or leave the missing package out of building the final package.

This part is not a bug, when you ask DNF to install some package, it tries to install package with AS MINIMUM other packages to update, yum just enforces newest packages.

Comment 2 Ali Akcaagac 2016-11-10 12:22:01 UTC
(In reply to Igor Gnatenko from comment #1)
> Let's start.
> this seems weird. re-run with --debugsolver and attach debugdata.

dnf update --refresh --nogpgcheck --debugsolver

Please look at the tar.bz2 attachment.

> debugdata please.

yum -d10 update 2>&1 | tee yum-d10.log

> This part is not a bug, when you ask DNF to install some package, it tries
> to install package with AS MINIMUM other packages to update, yum just
> enforces newest packages.

Well! But this isn't really a conflict - is it ? At least it is irritating. If the default behaviour should be like this ...

dnf install rpm-build --best

... then wouldn't it make sense to make --best the default behaviour then ? Rather than have it spit out that there are conflicts while there are no real conflicts ?

Comment 3 Ali Akcaagac 2016-11-10 12:22 UTC
Created attachment 1219363 [details]
debugdata for dnf

Comment 4 Ali Akcaagac 2016-11-10 12:23 UTC
Created attachment 1219364 [details]
debugdata for yum

Comment 5 Ali Akcaagac 2016-11-10 12:33:19 UTC
... and yes I have 708 Packages installed on my running workstation. This is the bare minimum (with a few extra packages) required to run a - cruft free - Xfce system. But this shouldn't be the issue for proper updating of packages - even on a small minimal system. Packages removed by using dnf *only*.

Comment 6 Jaroslav Mracek 2016-11-14 12:35:22 UTC
Please can you make one experiment with yum-depricated and dnf. Please make `dnf clean all` and 'yum-depricated clean all'. Then run for both packages upgrade  command. Then please can you post the output from commands?

Comment 7 Ali Akcaagac 2017-01-29 10:25:38 UTC
Still having this even after switching from Fedora 24 to Fedora 25 and latest dnf updates.

Comment 8 Ali Akcaagac 2017-03-20 09:14:59 UTC
I am still getting this a lot during my time using Fedora 25 on a small XFCE only based system.

Switched to Fedora 26 (what will become Fedora 26) and still getting the same issues.

Here an example from today. Receiving skips of conflicting packages, which are in no way part of my system. Neither "iproute-tc" nor "linux-atm-libs" are installed.

Dependencies resolved.
================================================================================
 Package             Arch        Version             Repository            Size
================================================================================
Upgrading:
 iproute             x86_64      4.10.0-2.fc26       updates-testing      471 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 iproute-tc          x86_64      4.10.0-2.fc26       updates-testing      357 k
 linux-atm-libs      x86_64      2.5.1-16.fc26       fedora                39 k

Transaction Summary
================================================================================
Upgrade  1 Package
Skip     2 Packages

Total download size: 471 k
Is this ok [y/N]: 
Operation aborted.
-bash-4.4$ rpm -qa | grep -i "iproute-tc"
-bash-4.4$ rpm -qa | grep -i "linux-atm-libs"

Comment 9 Ali Akcaagac 2017-03-20 09:18 UTC
Created attachment 1264722 [details]
new debugdata

Comment 10 Jaroslav Mracek 2017-04-10 13:18:46 UTC
I create huge refactor of problems report https://github.com/rpm-software-management/dnf/pull/782. Hope that it helps.

Comment 11 Fedora Update System 2017-05-22 12:40:31 UTC
dnf-plugins-extras-2.0.1-1.fc26 dnf-plugins-core-2.1.0-1.fc26 libdnf-0.9.0-1.fc26 dnf-2.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 12 Fedora Update System 2017-05-22 16:39:55 UTC
dnf-2.5.0-1.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 13 Fedora Update System 2017-05-24 08:31:39 UTC
dnf-2.5.0-1.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.17-3.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 14 Fedora Update System 2017-05-24 14:32:55 UTC
dnf-2.5.0-2.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.18-1.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 15 Fedora Update System 2017-05-25 19:17:24 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8

Comment 16 Ali Akcaagac 2017-05-27 07:26:15 UTC
Hi

It looks like this issue has been addressed. From some first experiments, the output of comflicting packages (where packages are not installed) is indeed solved with dnf 2.5.x. I will investigate a bit more and in case the issue returns I will be going to reopen this report.

Thanks for the support.

Comment 17 Fedora Update System 2017-06-09 19:06:02 UTC
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.